

-- by modelleicher
--

bk_InfoPanel = {};

function bk_InfoPanel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function bk_InfoPanel:load(xmlFile)


	--  Info Hud --
	self.hudInfoPosX = 0.02;
    self.hudInfoWidth = 0.16;
    self.hudInfoPosY = 0.02;
    self.hudInfoHeight = 0.4;

	self.infoPanelInfoPath = Utils.getFilename("textures/XerionS_menu.png", self.baseDirectory);
	self.hudInfoOverlay = Overlay:new("hudInfoOverlay", self.infoPanelInfoPath, self.hudInfoPosX, self.hudInfoPosY, self.hudInfoWidth, self.hudInfoHeight);

	self.showhudInfo = false;


end;

function bk_InfoPanel:delete()

     	--  Info Hud --
    if self.hudInfoOverlay ~= nil then
		self.hudInfoOverlay:delete();
	end;

end;

function bk_InfoPanel:mouseEvent(posX, posY, isDown, isUp, button)
end;

function bk_InfoPanel:keyEvent(unicode, sym, modifier, isDown)
end;

function bk_InfoPanel:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.bk_InfoPanel) then
		    self.showhudInfo = not self.showhudInfo;
		end;
		


   		

	end;			 

end;

function bk_InfoPanel:draw()


  	if self.showhudInfo and self.isEntered then
		self.hudInfoOverlay:render();
	end;

	if self.isMotorStarted then	g_currentMission:addExtraPrintText("Press Num 0 for Xerion MENU");
	end;

end;

